Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.ejb.cmp
Class EjbCollection

`java.lang.Object
java.util.AbstractCollection
java.util.AbstractList
java.util.ArrayList
oracle.toplink.ejb.cmp.EjbCollection`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, java.util.RandomAccess, java.io.Serializable

public class EjbCollection
extends java.util.ArrayList

Special EJB-friendly collection which uses EJB(Local)Object.isIdentical() instead of equals().

See Also:
  Serialized Form

Constructor Summary
`EjbCollection()` Constructs an empty list with an initial capacity of ten.
`EjbCollection(java.util.Collection c)` Constructs a list containing the elements of the specified collection, in the order they are returned by the collection's iterator.
`EjbCollection(int initialCapacity)` Constructs an empty list with the specified initial capacity.

Method Summary
`int` | `indexOf(java.lang.Object obj)`
`boolean` | `remove(java.lang.Object obj)`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, isEmpty, lastIndexOf, remove, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### EjbCollection

    public EjbCollection()

  Constructs an empty list with an initial capacity of ten.

### EjbCollection

    public EjbCollection(int initialCapacity)

  Constructs an empty list with the specified initial capacity.
Parameters:
  `initialCapacity` - the initial capacity of the list.
Throws:
  `java.lang.IllegalArgumentException` - if the specified initial capacity is negative

### EjbCollection

    public EjbCollection(java.util.Collection c)

  Constructs a list containing the elements of the specified collection, in the order they are returned by the collection's iterator. The `ArrayList` instance has an initial capacity of 110% the size of the specified collection.
Parameters:
  `c` - the collection whose elements are to be placed into this list.
Throws:
  `java.lang.NullPointerException` - if the specified collection is null.

Method Detail

### remove

    public boolean remove(java.lang.Object obj)

### indexOf

    public int indexOf(java.lang.Object obj)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD